#!/bin/bash

# uninstall logic for thinkBackup Lite 6.13.4.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/thinkBackupLite/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for thinkBackup Lite"
    touch "/Applications/thinkBackupLite/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/thinkBackupLite/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for thinkBackup Lite"
    sh "/Applications/thinkBackupLite/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/thinkBackupLite/bin/taskkill" "/Applications/thinkBackupLite/BackupManager.app"
sh "/Applications/thinkBackupLite/bin/taskkill" "/Applications/thinkBackupLite/bin/BackupManager.app"
sh "/Applications/thinkBackupLite/bin/taskkill" "/Applications/thinkBackupLite/jvm/bin/java"
sh "/Applications/thinkBackupLite/bin/taskkill" "/Applications/thinkBackupLite/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/thinkBackupLite" ]; then
    echo "Remove Scheduler for thinkBackup Lite from service"
    rm -rf "/Library/StartupItems/thinkBackupLite"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/thinkBackupLite-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for thinkBackup Lite from service"
    rm -rf "/Library/StartupItems/thinkBackupLite-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/thinkBackupLite" ]; then
        echo "Remove Desktop Link thinkBackupLite from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/thinkBackupLite"
        echo "Removed thinkBackup Lite Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/thinkBackupLite" ]; then
        echo "Remove Desktop Link thinkBackupLite from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/thinkBackupLite"
        echo "Removed thinkBackup Lite Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove thinkBackup Lite
cd /
if [ -e "/Applications/thinkBackupLite" ]; then
    echo "Remove thinkBackup Lite from Your Mac OS X"
    rm -rf "/Applications/thinkBackupLite"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/acb.pkg" ]; then
    echo "Remove Mac OS X Receipt for acb.pkg (Path: /Library/Receipts/acb.pkg)"
    rm -rf "/Library/Receipts/acb.pkg"
fi
